Skip to content

API: Content tagging endpoints

/tags

GET /tags

List owned and managed tags.

[] Input:

  • string search: optional search string to filter results
  • integer limit: limit number of results
    • default: 16
  • integer page: page number
    • default: 1
    • not used in search mode!

[] Output:

  • list
    • string tag: tag identification string
    • string/null id: external unique tag identifier (if set for the tag)
    • string name: title of the tag

/tag

GET /tag

Get/check tag.

[] Input:

  • [!] string tag: tag identification string

[] Output:

  • string tag: tag identification string
  • string/null id: external unique tag identifier (if set for the tag)
  • string name: title of the tag
  • string color: color in HEX format
  • string icon: Font Awesome icon class name

/class

GET /class:tags

List all attached tags of a class.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /class:tag

Check if tag is attached to a class.

[] Input:

  • [!] string class: class identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be class
    • string code: the class identification string
    • string/null id: external unique class identifier (if set for the class)
  • boolean status: tag is attached to this class

POST /class:tag

Attach tag to content.

[] Input:

  • [!] string class: class identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be class
    • string code: the class identification string
    • string/null id: external unique class identifier (if set for the class)
  • boolean success: operation was successful

DELETE /class:tag

Remove a tag attachment.

[] Input:

  • [!] string class: class identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be class
    • string code: the class identification string
    • string/null id: external unique class identifier (if set for the class)
  • boolean success: operation was successful

/course

GET /course:tags

List all attached tags of a course.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /course:tag

Check if tag is attached to a course.

[] Input:

  • [!] string course: course identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be course
    • string code: the course identification string
    • string/null id: external unique course identifier (if set for the course)
  • boolean status: tag is attached to this course

POST /course:tag

Attach tag to content.

[] Input:

  • [!] string course: course identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be course
    • string code: the course identification string
    • string/null id: external unique course identifier (if set for the course)
  • boolean success: operation was successful

DELETE /course:tag

Remove a tag attachment.

[] Input:

  • [!] string course: course identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be course
    • string code: the course identification string
    • string/null id: external unique course identifier (if set for the course)
  • boolean success: operation was successful

/event

GET /event:tags

List all attached tags of an event.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /event:tag

Check if tag is attached to an event.

[] Input:

  • [!] string event: event identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be event
    • string code: the event identification string
    • string/null id: external unique event identifier (if set for the event)
  • boolean status: tag is attached to this event

POST /event:tag

Attach tag to content.

[] Input:

  • [!] string event: event identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be event
    • string code: the event identification string
    • string/null id: external unique event identifier (if set for the event)
  • boolean success: operation was successful

DELETE /event:tag

Remove a tag attachment.

[] Input:

  • [!] string event: event identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be event
    • string code: the event identification string
    • string/null id: external unique event identifier (if set for the event)
  • boolean success: operation was successful

/exam

GET /exam:tags

List all attached tags of an exam.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /exam:tag

Check if tag is attached to an exam.

[] Input:

  • [!] string exam: exam identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be exam
    • string code: the exam identification string
    • string/null id: external unique exam identifier (if set for the exam)
  • boolean status: tag is attached to this exam

POST /exam:tag

Attach tag to content.

[] Input:

  • [!] string exam: exam identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be exam
    • string code: the exam identification string
    • string/null id: external unique exam identifier (if set for the exam)
  • boolean success: operation was successful

DELETE /exam:tag

Remove a tag attachment.

[] Input:

  • [!] string exam: exam identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be exam
    • string code: the exam identification string
    • string/null id: external unique exam identifier (if set for the exam)
  • boolean success: operation was successful

/integration

GET /integration:tags

List all attached tags of an integration.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /integration:tag

Check if tag is attached to an integration.

[] Input:

  • [!] string integration: integration identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be integration
    • string code: the integration identification string
    • string/null id: external unique integration identifier (if set for the integration)
  • boolean status: tag is attached to this integration

POST /integration:tag

Attach tag to content.

[] Input:

  • [!] string integration: integration identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be integration
    • string code: the integration identification string
    • string/null id: external unique integration identifier (if set for the integration)
  • boolean success: operation was successful

DELETE /integration:tag

Remove a tag attachment.

[] Input:

  • [!] string integration: integration identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be integration
    • string code: the integration identification string
    • string/null id: external unique integration identifier (if set for the integration)
  • boolean success: operation was successful

/organization

GET /organization:tags

List all attached tags of an organization.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /organization:tag

Check if tag is attached to an organization.

[] Input:

  • [!] string organization: organization identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be organization
    • string code: the organization identification string
    • string/null id: external unique organization identifier (if set for the organization)
  • boolean status: tag is attached to this organization

POST /organization:tag

Attach tag to content.

[] Input:

  • [!] string organization: organization identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be organization
    • string code: the organization identification string
    • string/null id: external unique organization identifier (if set for the organization)
  • boolean success: operation was successful

DELETE /organization:tag

Remove a tag attachment.

[] Input:

  • [!] string organization: organization identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be organization
    • string code: the organization identification string
    • string/null id: external unique organization identifier (if set for the organization)
  • boolean success: operation was successful

/quiz

GET /quiz:tags

List all attached tags of a Quiz.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /quiz:tag

Check if tag is attached to a Quiz.

[] Input:

  • [!] string quiz: Quiz identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be quiz
    • string code: the Quiz identification string
    • string/null id: external unique Quiz identifier (if set for the Quiz)
  • boolean status: tag is attached to this Quiz

POST /quiz:tag

Attach tag to content.

[] Input:

  • [!] string quiz: Quiz identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be quiz
    • string code: the Quiz identification string
    • string/null id: external unique Quiz identifier (if set for the Quiz)
  • boolean success: operation was successful

DELETE /quiz:tag

Remove a tag attachment.

[] Input:

  • [!] string quiz: Quiz identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be quiz
    • string code: the Quiz identification string
    • string/null id: external unique Quiz identifier (if set for the Quiz)
  • boolean success: operation was successful

/scorm

GET /scorm:tags

List all attached tags of a SCORM learning material.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /scorm:tag

Check if tag is attached to a SCORM learning material.

[] Input:

  • [!] string scorm: SCORM identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be scorm
    • string code: the SCORM identification string
    • string/null id: external unique SCORM identifier (if set for the SCORM)
  • boolean status: tag is attached to this SCORM learning material

POST /scorm:tag

Attach tag to content.

[] Input:

  • [!] string scorm: SCORM identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be scorm
    • string code: the SCORM identification string
    • string/null id: external unique SCORM identifier (if set for the SCORM)
  • boolean success: operation was successful

DELETE /scorm:tag

Remove a tag attachment.

[] Input:

  • [!] string scorm: SCORM identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be scorm
    • string code: the SCORM identification string
    • string/null id: external unique SCORM identifier (if set for the SCORM)
  • boolean success: operation was successful

/video

GET /video:tags

List all attached tags of a video.

[] Output:

  • list
    • string tag: tag identification string
    • string name: title of the tag

GET /video:tag

Check if tag is attached to a video.

[] Input:

  • [!] string video: video identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be video
    • string code: the video identification string
    • string/null id: external unique video identifier (if set for the video)
  • boolean status: tag is attached to this video

POST /video:tag

Attach tag to content.

[] Input:

  • [!] string video: video identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be video
    • string code: the video identification string
    • string/null id: external unique video identifier (if set for the video)
  • boolean success: operation was successful

DELETE /video:tag

Remove a tag attachment.

[] Input:

  • [!] string video: video identification string
  • [!] string tag: tag identification string

[] Output:

  • string tag: the tag identification string
  • content
    • string type: will be video
    • string code: the video identification string
    • string/null id: external unique video identifier (if set for the video)
  • boolean success: operation was successful